<?php

    include("../../classes/database.class.php");
    include("../../classes/tipoDocModel.class.php");
    include("../../classes/tipoDocController.class.php");

    $codDoc = $_POST["codDoc"];
    $descr = $_POST["descr"];
    $tipoDoc = $_POST["tipoDoc"];
    $natureza = $_POST["natureza"];
    $operacaoStock = strval($_POST["operacaoStock"]);
    $contaCorrente = strval($_POST["contaCorrente"]);
    $tipoEntidade = $_POST["tipoEntidade"];
    $operacaoCaixa = strval($_POST["operacaoCaixa"]);


    if($codDoc == ""){
        $codDoc = null;
    }

    if($descr == ""){
        $descr = null;
    }

    if($tipoDoc == ""){
        $tipoDoc = null;
    }

    if($natureza == ""){
        $natureza = null;
    }

    if($operacaoStock == ""){
        $operacaoStock = null;
    }

    if($contaCorrente == ""){
        $contaCorrente = null;
    }
    if($tipoEntidade == ""){
        $tipoEntidade = null;
    }
    if($operacaoCaixa == ""){
        $operacaoCaixa = null;
    }



    $modelo = new TipoDocController($codDoc, $descr, $tipoDoc, $natureza, $operacaoStock, $contaCorrente, $tipoEntidade, $operacaoCaixa);
    $id = $modelo->createTipoDoc();
    //echo $codDoc;
    //echo  $descr;
    //echo  $tipoDoc;
    //echo $natureza;
    //echo $operacaoStock; 
    //echo $contaCorrente;
    //echo $tipoEntidade;
    //echo $operacaoCaixa;
    echo $id;